/*
 * Copyright (C) 1999
 * CSIRO Mathematical and Information Sciences Australia
 * Spatial Information Systems Project
 *
 * http://www.cmis.csiro.au/svg
 */


/**
 * ZoomOutMouseHandler.java
 *
 * Created: Thu Jun  3 15:49:49 1999
 * $Id: ZoomOutMouseHandler.java,v 1.1.1.1 1999/12/11 18:51:27 gjb Exp $
 *
 */

package org.csiro.svgv.display;

import java.awt.event.*;
import java.awt.geom.Rectangle2D;

/**
 * ZoomOutMouseHandler is a mouse handler that will ZoomOut the display as the user
 * drags the mouse around the canvas.
 */

public class ZoomOutMouseHandler extends MouseHandler {

  /**
   * Constructs a ZoomOutMouseHandler with the given Canvas object.
   *
   * @param canvas The Canvas object.
   */
   
  public ZoomOutMouseHandler(Canvas canvas) {
    super(canvas);
  }

  /**
   * Invoked when the mouse has been pressed in the Canvas canvas.
   */

  public void mouseReleased(MouseEvent e) {

    if (!e.isMetaDown()) {

      Rectangle2D.Double view = getCanvas().getView();

      view.width = (int) (2.0 * view.width);
      view.height = (int) (2.0 * view.height);
    
      view.x = ((WorldMouseEvent)e).getWorldX() - view.width / 2;
      view.y = ((WorldMouseEvent)e).getWorldY() - view.height / 2;

      getCanvas().setView(view);
      getCanvas().draw();

    }
  }

}
