/*
 * Copyright (C) 1999
 * CSIRO Mathematical and Information Sciences Australia
 * Spatial Information Systems Project
 *
 * http://www.cmis.csiro.au/svg
 */


/**
 * Definable.java
 *
 * $Id: Definable.java,v 1.1.1.1 1999/12/11 18:51:28 gjb Exp $
 *
 */

package org.csiro.svgv.reader;

/**
 * The Definable interface should be implemented by any SVG element class
 * whose corresponding SVG element may appear within an SVG defs element.
 * The class must define a method of no arguments called getId.
 */
public interface Definable {

   /**
    * Returns the id of the object.
    * @return The id of the object.
    */
   public String getId();
}